package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TOtherSolveMapper;
import com.ruoyi.system.domain.TOtherSolve;
import com.ruoyi.system.service.ITOtherSolveService;

/**
 * 其他告警处理Service业务层处理
 * 
 * @author zhengjie
 * @date 2023-09-09
 */
@Service
public class TOtherSolveServiceImpl implements ITOtherSolveService 
{
    @Autowired
    private TOtherSolveMapper tOtherSolveMapper;

    /**
     * 查询其他告警处理
     * 
     * @param id 其他告警处理主键
     * @return 其他告警处理
     */
    @Override
    public TOtherSolve selectTOtherSolveById(Integer id)
    {
        return tOtherSolveMapper.selectTOtherSolveById(id);
    }

    /**
     * 查询其他告警处理列表
     * 
     * @param tOtherSolve 其他告警处理
     * @return 其他告警处理
     */
    @Override
    public List<TOtherSolve> selectTOtherSolveList(TOtherSolve tOtherSolve)
    {
        return tOtherSolveMapper.selectTOtherSolveList(tOtherSolve);
    }

    /**
     * 新增其他告警处理
     * 
     * @param tOtherSolve 其他告警处理
     * @return 结果
     */
    @Override
    public int insertTOtherSolve(TOtherSolve tOtherSolve)
    {
        tOtherSolve.setCreateTime(DateUtils.getNowDate());
        return tOtherSolveMapper.insertTOtherSolve(tOtherSolve);
    }

    /**
     * 修改其他告警处理
     * 
     * @param tOtherSolve 其他告警处理
     * @return 结果
     */
    @Override
    public int updateTOtherSolve(TOtherSolve tOtherSolve)
    {
        return tOtherSolveMapper.updateTOtherSolve(tOtherSolve);
    }

    /**
     * 批量删除其他告警处理
     * 
     * @param ids 需要删除的其他告警处理主键
     * @return 结果
     */
    @Override
    public int deleteTOtherSolveByIds(Integer[] ids)
    {
        return tOtherSolveMapper.deleteTOtherSolveByIds(ids);
    }

    /**
     * 删除其他告警处理信息
     * 
     * @param id 其他告警处理主键
     * @return 结果
     */
    @Override
    public int deleteTOtherSolveById(Integer id)
    {
        return tOtherSolveMapper.deleteTOtherSolveById(id);
    }
}
